#include<bits/stdc++.h>
using namespace std;
int T,n,Q,a[55],b[55];
int main() {
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	scanf("%d%d",&T,&n);
	for(int i=1; i<=n; i++) scanf("%d",&a[i]);
	for(int i=1; i<=n; i++) scanf("%d",&b[i]);
	scanf("%d",&Q);
	while(Q--) {
		int l,r;scanf("%d%d",&l,&r);
		unsigned long long ans=0;
		for(int p=l; p<=r; p++)
			for(int q=p; q<=r; q++) {
				int mxa=0,mxb=0;
				for(int i=p; i<=q; i++) {
					mxa=max(mxa,a[i]);
					mxb=max(mxb,b[i]);
				}
				ans+=mxa*mxb;
			}
		cout<<ans<<'\n';
	}
	return 0;
}
